sudo: required
dist: trusty

services:
  - docker

env:
  matrix:
    - COMPILER=gcc

before_install:
  - wget https://ecsft.cern.ch/dist/cvmfs/cvmfs-release/cvmfs-release-latest_all.deb
  - sudo dpkg -i cvmfs-release-latest_all.deb
  - sudo apt-get update
  - sudo apt-get install cvmfs cvmfs-config-default
  - rm -f cvmfs-release-latest_all.deb
  - wget https://lcd-data.web.cern.ch/lcd-data/CernVM/default.local
  - sudo mkdir -p /etc/cvmfs
  - sudo mv default.local /etc/cvmfs/default.local
  - sudo /etc/init.d/autofs stop
  - sudo cvmfs_config setup
  - sudo mkdir -p /cvmfs/clicdp.cern.ch
  - sudo mount -t cvmfs clicdp.cern.ch /cvmfs/clicdp.cern.ch
  - ls /cvmfs/clicdp.cern.ch

# command to install dependencies
install:
  - shopt -s extglob dotglob
  - mkdir Package
  - mv !(Package) Package
  - shopt -u dotglob
  - export PKGDIR=${PWD}/Package

# command to run tests
script:
  - docker run -t --name CI_container -v $PKGDIR:/Package -e COMPILER=$COMPILER -v /cvmfs/clicdp.cern.ch:/cvmfs/clicdp.cern.ch -d clicdp/slc6-build /bin/bash
  - docker exec CI_container /bin/bash -c "./Package/.dd4hep-ci.d/compile_and_test.sh"

# Don't send e-mail notifications
notifications:
  email: false